Debian Bug report logs - #598885
qwbfsmanager: FTBFS on armel: no matching function for call to qBound

version graph

Package: src:qwbfsmanager; Maintainer for src:qwbfsmanager is Filipe Azevedo <pasnox@gmail.com>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sat, 2 Oct 2010 19:06:18 UTC

Severity: important

Found in version qwbfsmanager/1.1.0-1

Fixed in versions qwbfsmanager/1.2.1-1, qwbfsmanager/1.1.0-1.1

Done: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Filipe Azevedo <pasnox@gmail.com>:
Bug#598885; Package src:qwbfsmanager. (Sat, 02 Oct 2010 19:06:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Filipe Azevedo <pasnox@gmail.com>. (Sat, 02 Oct 2010 19:06:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qwbfsmanager: FTBFS on armel: no matching function for call to qBound
Date: Sat, 02 Oct 2010 21:05:02 +0200
Source: qwbfsmanager
Version: 1.1.0-1
Severity: important
User: debian-arm@lists.debian.org
Usertags: eabi

Hi,

your package FTBFS on armel:
| g++ -c -pipe -g -O2 -D_REENTRANT -Wall -W -DLARGE_FILES -D_FILE_OFFSET_BITS=64 -D_APPLICATION_NAME="\"QWBFS Manager\"" -D_APPLICATION_VERSION="\"1.1.0\"" -D_APPLICATION_VERSION_STR="\"1.1.0 (svn release)\"" -D_APPLICATION_DOMAIN="\"code.google.com/p/qwbfs\"" -D_APPLICATION_COPYRIGHTS="\"(C) 2010 Filipe Azevedo\"" -D_APPLICATION_DESCRIPTION="\"The Free, Fast and Powerful cross platform Wii Backup File System manager\"" -D_APPLICATION_ORGANIZATION="\"QWBFS Team\"" -D_APPLICATION_DOWNLOADS_FEED="\"http://code.google.com/feeds/p/qwbfs/downloads/basic\"" -D_APPLICATION_REPORT_BUG_URL="\"http://code.google.com/p/qwbfs/issues/list\"" -D_APPLICATION_DISCUSS_URL="\"http://groups.google.com/group/qwbfs-discuss\"" -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I../libwbfs -I. -Isrc -Isrc/
 fresh -I/usr/X11R6/include -I../build/release/moc -I../build/release/ui -o ../build/release/obj/unix/UIMain.o src/UIMain.cpp
| In file included from /usr/include/qt4/QtCore/qobject.h:48,
|                  from /usr/include/qt4/QtCore/qiodevice.h:46,
|                  from /usr/include/qt4/QtCore/qdatastream.h:46,
|                  from /usr/include/qt4/QtCore/qmetatype.h:49,
|                  from /usr/include/qt4/QtCore/qvariant.h:48,
|                  from /usr/include/qt4/QtCore/QVariant:1,
|                  from ../build/release/ui/ui_UIMain.h:13,
|                  from src/UIMain.h:39,
|                  from src/UIMain.cpp:36:
| /usr/include/qt4/QtCore/qstring.h:91: note: the mangling of 'va_list' has changed in GCC 4.4
| g++ -c -pipe -g -O2 -D_REENTRANT -Wall -W -DLARGE_FILES -D_FILE_OFFSET_BITS=64 -D_APPLICATION_NAME="\"QWBFS Manager\"" -D_APPLICATION_VERSION="\"1.1.0\"" -D_APPLICATION_VERSION_STR="\"1.1.0 (svn release)\"" -D_APPLICATION_DOMAIN="\"code.google.com/p/qwbfs\"" -D_APPLICATION_COPYRIGHTS="\"(C) 2010 Filipe Azevedo\"" -D_APPLICATION_DESCRIPTION="\"The Free, Fast and Powerful cross platform Wii Backup File System manager\"" -D_APPLICATION_ORGANIZATION="\"QWBFS Team\"" -D_APPLICATION_DOWNLOADS_FEED="\"http://code.google.com/feeds/p/qwbfs/downloads/basic\"" -D_APPLICATION_REPORT_BUG_URL="\"http://code.google.com/p/qwbfs/issues/list\"" -D_APPLICATION_DISCUSS_URL="\"http://groups.google.com/group/qwbfs-discuss\"" -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I../libwbfs -I. -Isrc -Isrc/
 fresh -I/usr/X11R6/include -I../build/release/moc -I../build/release/ui -o ../build/release/obj/unix/Gauge.o src/Gauge.cpp
| In file included from /usr/include/qt4/QtCore/qobject.h:48,
|                  from /usr/include/qt4/QtGui/qwidget.h:46,
|                  from /usr/include/qt4/QtGui/QWidget:1,
|                  from src/Gauge.h:39,
|                  from src/Gauge.cpp:36:
| /usr/include/qt4/QtCore/qstring.h:91: note: the mangling of 'va_list' has changed in GCC 4.4
| src/Gauge.cpp: In member function 'virtual void Gauge::paintEvent(QPaintEvent*)':
| src/Gauge.cpp:124: error: no matching function for call to 'qBound(double, float, const qreal&)'
| make[3]: *** [../build/release/obj/unix/Gauge.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=qwbfsmanager

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Filipe Azevedo <pasnox@gmail.com>:
Bug#598885; Package src:qwbfsmanager. (Sat, 02 Oct 2010 20:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to pasnox@gmail.com:
Extra info received and forwarded to list. Copy sent to Filipe Azevedo <pasnox@gmail.com>. (Sat, 02 Oct 2010 20:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 598885@bugs.debian.org (full text, mbox):

From: Nox PasNox <pasnox@gmail.com>
To: Cyril Brulebois <kibi@debian.org>, 598885@bugs.debian.org
Subject: Re: Bug#598885: qwbfsmanager: FTBFS on armel: no matching function for call to qBound
Date: Sat, 2 Oct 2010 21:56:56 +0200
Hi,

Thanks for the hint, i have commited a fix in the trunk.
If you want not to use svn release, then just patch Gauge.cpp at line 124:

const int extraPercent = max != used && available != 0 ? int( qBound( 
qreal(usedPercent), qreal(max /available *cent), cent ) ) : 0;

Regards, Keep me informed, Filipe


Le samedi 02 octobre 2010 21:05:02, vous avez écrit :
> Source: qwbfsmanager
> Version: 1.1.0-1
> Severity: important
> User: debian-arm@lists.debian.org
> Usertags: eabi
> 
> Hi,
> 
> your package FTBFS on armel:
> | g++ -c -pipe -g -O2 -D_REENTRANT -Wall -W -DLARGE_FILES
> | -D_FILE_OFFSET_BITS=64 -D_APPLICATION_NAME="\"QWBFS Manager\""
> | -D_APPLICATION_VERSION="\"1.1.0\"" -D_APPLICATION_VERSION_STR="\"1.1.0
> | (svn release)\"" -D_APPLICATION_DOMAIN="\"code.google.com/p/qwbfs\""
> | -D_APPLICATION_COPYRIGHTS="\"(C) 2010 Filipe Azevedo\""
> | -D_APPLICATION_DESCRIPTION="\"The Free, Fast and Powerful cross platform
> | Wii Backup File System manager\"" -D_APPLICATION_ORGANIZATION="\"QWBFS
> | Team\""
> | -D_APPLICATION_DOWNLOADS_FEED="\"http://code.google.com/feeds/p/qwbfs/do
> | wnloads/basic\""
> | -D_APPLICATION_REPORT_BUG_URL="\"http://code.google.com/p/qwbfs/issues/l
> | ist\""
> | -D_APPLICATION_DISCUSS_URL="\"http://groups.google.com/group/qwbfs-discu
> | ss\"" -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB
> | -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I.
> | -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork
> | -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4
> | -I../libwbfs -I. -Isrc -Isrc/
> 
>  fresh -I/usr/X11R6/include -I../build/release/moc -I../build/release/ui -o
> ../build/release/obj/unix/UIMain.o src/UIMain.cpp
> 
> | In file included from /usr/include/qt4/QtCore/qobject.h:48,
> | 
> |                  from /usr/include/qt4/QtCore/qiodevice.h:46,
> |                  from /usr/include/qt4/QtCore/qdatastream.h:46,
> |                  from /usr/include/qt4/QtCore/qmetatype.h:49,
> |                  from /usr/include/qt4/QtCore/qvariant.h:48,
> |                  from /usr/include/qt4/QtCore/QVariant:1,
> |                  from ../build/release/ui/ui_UIMain.h:13,
> |                  from src/UIMain.h:39,
> | 
> |                  from src/UIMain.cpp:36:
> | /usr/include/qt4/QtCore/qstring.h:91: note: the mangling of 'va_list' has
> | changed in GCC 4.4 g++ -c -pipe -g -O2 -D_REENTRANT -Wall -W
> | -DLARGE_FILES -D_FILE_OFFSET_BITS=64 -D_APPLICATION_NAME="\"QWBFS
> | Manager\"" -D_APPLICATION_VERSION="\"1.1.0\""
> | -D_APPLICATION_VERSION_STR="\"1.1.0 (svn release)\""
> | -D_APPLICATION_DOMAIN="\"code.google.com/p/qwbfs\""
> | -D_APPLICATION_COPYRIGHTS="\"(C) 2010 Filipe Azevedo\""
> | -D_APPLICATION_DESCRIPTION="\"The Free, Fast and Powerful cross platform
> | Wii Backup File System manager\"" -D_APPLICATION_ORGANIZATION="\"QWBFS
> | Team\""
> | -D_APPLICATION_DOWNLOADS_FEED="\"http://code.google.com/feeds/p/qwbfs/do
> | wnloads/basic\""
> | -D_APPLICATION_REPORT_BUG_URL="\"http://code.google.com/p/qwbfs/issues/l
> | ist\""
> | -D_APPLICATION_DISCUSS_URL="\"http://groups.google.com/group/qwbfs-discu
> | ss\"" -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB
> | -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I.
> | -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork
> | -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4
> | -I../libwbfs -I. -Isrc -Isrc/
> 
>  fresh -I/usr/X11R6/include -I../build/release/moc -I../build/release/ui -o
> ../build/release/obj/unix/Gauge.o src/Gauge.cpp
> 
> | In file included from /usr/include/qt4/QtCore/qobject.h:48,
> | 
> |                  from /usr/include/qt4/QtGui/qwidget.h:46,
> |                  from /usr/include/qt4/QtGui/QWidget:1,
> |                  from src/Gauge.h:39,
> | 
> |                  from src/Gauge.cpp:36:
> | /usr/include/qt4/QtCore/qstring.h:91: note: the mangling of 'va_list' has
> | changed in GCC 4.4 src/Gauge.cpp: In member function 'virtual void
> | Gauge::paintEvent(QPaintEvent*)': src/Gauge.cpp:124: error: no matching
> | function for call to 'qBound(double, float, const qreal&)' make[3]: ***
> | [../build/release/obj/unix/Gauge.o] Error 1
> 
> Full build logs:
>   https://buildd.debian.org/status/package.php?p=qwbfsmanager
> 
> Mraw,
> KiBi.




Severity set to 'serious' from 'important' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 23:42:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Filipe Azevedo <pasnox@gmail.com>:
Bug#598885; Package src:qwbfsmanager. (Fri, 30 Sep 2011 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Filipe Azevedo <pasnox@gmail.com>. (Fri, 30 Sep 2011 00:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 598885@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 598885@bugs.debian.org
Subject: NMU: qwbfsmanager 1.1.0-1.1
Date: Fri, 30 Sep 2011 09:47:13 +0900
[Message part 1 (text/plain, inline)]
tags 598885 + pending
thanks

Dear maintainer,

I've prepared an NMU for qwbfsmanager (version 1.1.0-1.1) and uploaded
it to DELAYED/10.
Please see changelog for more details.

Best regards,
 Nobuhiro
--
Nobuhiro Iwamatsu
 iwamatsu at {nigauri.org / debian.org}
 GPG ID: 40AD1FA6
[qwbfsmanager-1.1.0.debdiff (application/octet-stream, attachment)]

Added tag(s) pending. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Fri, 30 Sep 2011 00:51:05 GMT) Full text and rfc822 format available.

Reply sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
You have taken responsibility. (Mon, 10 Oct 2011 01:21:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 10 Oct 2011 01:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 598885-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: 598885-close@bugs.debian.org
Subject: Bug#598885: fixed in qwbfsmanager 1.1.0-1.1
Date: Mon, 10 Oct 2011 01:17:53 +0000
Source: qwbfsmanager
Source-Version: 1.1.0-1.1

We believe that the bug you reported is fixed in the latest version of
qwbfsmanager, which is due to be installed in the Debian FTP archive:

qwbfsmanager_1.1.0-1.1.debian.tar.gz
  to main/q/qwbfsmanager/qwbfsmanager_1.1.0-1.1.debian.tar.gz
qwbfsmanager_1.1.0-1.1.dsc
  to main/q/qwbfsmanager/qwbfsmanager_1.1.0-1.1.dsc
qwbfsmanager_1.1.0-1.1_amd64.deb
  to main/q/qwbfsmanager/qwbfsmanager_1.1.0-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598885@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <iwamatsu@debian.org> (supplier of updated qwbfsmanager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 29 Sep 2011 20:08:11 +0900
Source: qwbfsmanager
Binary: qwbfsmanager
Architecture: source amd64
Version: 1.1.0-1.1
Distribution: unstable
Urgency: low
Maintainer: Filipe Azevedo <pasnox@gmail.com>
Changed-By: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Description: 
 qwbfsmanager - graphical file manager for the WBFS filesystem
Closes: 598885
Changes: 
 qwbfsmanager (1.1.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS on armel and sh4. (Closes: #598885)
     Add patches/fix_598885.patch. Thanks to Nox PasNox.
Checksums-Sha1: 
 61ce5cfa73f146d33bfa28cf53365132dcc89ab7 1843 qwbfsmanager_1.1.0-1.1.dsc
 6ca3bcf508834a5224af2a9919f8499c6b48f4af 2502 qwbfsmanager_1.1.0-1.1.debian.tar.gz
 0d5a50375290e43af7f621a3e00c0edd64299651 1198592 qwbfsmanager_1.1.0-1.1_amd64.deb
Checksums-Sha256: 
 30f7679d2e5c6ea59e09ff1a641b4fd3a39898082c47eb85c8c3e72f652411fa 1843 qwbfsmanager_1.1.0-1.1.dsc
 0ac1d7ef30230310ac50d3b35081c41a7602a7b695096394bdc59597e5c63e4d 2502 qwbfsmanager_1.1.0-1.1.debian.tar.gz
 2af55809712eda5acd0e1412f8860c230aaf2466dd655d6f7a50b8fa9af8ede4 1198592 qwbfsmanager_1.1.0-1.1_amd64.deb
Files: 
 8a4fd7e8db8ed8b310b13e9a77e8ebf2 1843 utils extra qwbfsmanager_1.1.0-1.1.dsc
 a04772fd4c495ed46c04c2d5010a9d75 2502 utils extra qwbfsmanager_1.1.0-1.1.debian.tar.gz
 972f90c12f27fce58bf3b55923bf497b 1198592 utils extra qwbfsmanager_1.1.0-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOhQ+RAAoJEDIkf7tArR+mSVsP/jNr1A5t2zbByqNeAEjur2NW
cFV6taT89OQxeXdNFjrF5cpxCMEdEgtGwWMNVyfXWc0GazFapB3xEhqbM1ukGPEh
PDv6RS1HrE2bfJ72PijdyswWzPhQByD8wl9rVRmi3IlazMwev+EyA32J/9LXqmoI
EcvjqH0K44PY65lRUKp5W6AzsujcZbkUnR7BuD88wEwkCead0jBWjvqGgIA4hvvV
o88xkx8TEmz37h0afCbPx21lELgup5hWJZWQ1KJ84obD7Tp67BX6Rd3qGZTuuOCA
MbnGOBufjvDWLIDro9XBeRvRfKFjttBFhSaAmE3TZO8fgq7th+5eFlQ0XAA2VZ5P
/eWRPluY3PIZRjYy/0/oc9umwfMEF29pw4NWBxy2eif38R8EV647062cGFfxZSlY
99r73auFNlQHNriMPaNkubk5XZ6ZtizICTlNQqOYCFOR0I03EizPkwlgCuwNXsjt
GxuIWlEQVcgou+VuF0B+dhCvWRn+5jBF3WGAwETnon/lvePMATY8okSjhAaO2k2b
AMyuNSwV0dFBk1r7Mpt/w1gdT96o5k3hNgT1iLAHIvYjDs6hFlNlsWGmOstHmNLV
230VoI1fnH3I5T48grx2s5ozXzdJz3ZxUTWX17IDmhk/G+yVwkSjBx/Zu75TQgb7
gKY9VxQtwEVqrJH3v3ZU
=2xp4
-----END PGP SIGNATURE-----





Marked as fixed in versions qwbfsmanager/1.2.1-1. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Mon, 09 Jul 2012 20:27:18 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 10:21:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Filipe Azevedo <pasnox@gmail.com>:
Bug#598885; Package src:qwbfsmanager. (Sat, 24 Nov 2012 10:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nox PasNox <pasnox@gmail.com>:
Extra info received and forwarded to list. Copy sent to Filipe Azevedo <pasnox@gmail.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 24 Nov 2012 10:39:09 GMT) Full text and rfc822 format available.


Message #33 received at 598885@bugs.debian.org (full text, mbox):

From: Nox PasNox <pasnox@gmail.com>
To: 598885@bugs.debian.org
Date: Sat, 24 Nov 2012 11:35:32 +0100
Hi,

If it's fixed, why it moved from important to serious ???



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Dec 2012 07:32:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:22:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.